# abstract StageQuality(Null<Int>)

#### package openfl.display

####

Available on all platforms

The StageQuality class provides values for the `Stage.quality` property.

### Variables

###

`inline read onlyBEST:StageQuality = 0`

Specifies very high rendering quality: graphics are anti-aliased using a 4 x 4 pixel grid and bitmaps are always smoothed.

###

`inline read onlyHIGH:StageQuality = 1`

Specifies high rendering quality: graphics are anti-aliased using a 4 x 4 pixel grid, and bitmaps are smoothed if the movie is static.

###

`inline read onlyLOW:StageQuality = 2`

Specifies low rendering quality: graphics are not anti-aliased, and bitmaps are not smoothed.

###

`inline read onlyMEDIUM:StageQuality = 3`

Specifies medium rendering quality: graphics are anti-aliased using a 2 x 2 pixel grid, but bitmaps are not smoothed. This setting is suitable for movies that do not contain text.